.rui-navbar {
  z-index: var(--z-index-navbar);
  display: flex;
  height: var(--navbar-height);
  align-items: center;
  padding: var(--spacer-default);
  background-color: var(--background-color);
  gap: var(--spacer-default);

  &__title-wrapper {
    display: flex;
    height: var(--navbar-item-height);
    flex-grow: 1;
    align-items: center;
    border-radius: var(--border-radius);
    background-color: var(--component-content-background);
    box-shadow: inset 0 0 0 1px var(--border-color);

    &__action {
      height: var(--navbar-item-height);
      padding: var(--spacer-small) var(--spacer-default);
      border-radius: var(--border-radius) 0 0 var(--border-radius);
    }

    &__content {
      height: var(--navbar-item-height);
      padding: var(--spacer-small) var(--spacer-default);
      overflow-x: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
    }
  }

  &__menu {
    display: inline-flex;

    // Direct menu items (not in submenus)
    .rui-menu-item {
      min-width: unset;
    }
  }

  &--fixed {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
  }
}
